<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MDrawGlyphInfo</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MDrawGlyphInfo<br/>
<small>
[<a class="el" href="group__m17nDraw.html">表示</a>]</small>
</h1><!-- doxytag: class="MDrawGlyphInfo" -->
<p>グリフに関する情報の型宣言.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a447bccc97a2f12ef9a4b1407adadf7d6">from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a959a29a28118d7db13a375b8163a7f01">to</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a62fdb2ac09992ee300c3d30c67088ca3">line_from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#ab31beb42b28acbb75f1f8debe9819508">line_to</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a624fa8bbc40f462f3b6d84891539fcad">x</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a6ce5994024cbaa72e4b0f6e4f6a8749f">y</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMDrawMetric.html">MDrawMetric</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#acaa82f47d4867b5b6302a9f2da57f7e0">metrics</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a9aa1d925d900085b8cfffa5cd33cb423">font</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a3d72abd4143a4f5f1f5e219b1a6d42c9">prev_from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#aafb3540a6d715bfcdf761ca9ba546689">next_to</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a36e10a86b98aa88745772554de3f79e3">left_from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a81c27750a20614fb98e1e084e675ff0d">left_to</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a7415480cdb3745b3fec03bae5d671ab7">right_from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a3f3b345def4b9cb52c223a69a688eca4">right_to</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html#a5a4d7a62d82388285dc35d677a25d7c9">logical_width</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>グリフに関する情報の型宣言. </p>
<p><a class="el" href="structMDrawGlyphInfo.html" title="グリフに関する情報の型宣言.">MDrawGlyphInfo</a> 型はグリフに関する情報を含む構造体である。 <a class="el" href="group__m17nDraw.html#ga0b79b3b695577bee9c0d41d4947e7a16" title="グリフに関する情報を計算する.">mdraw_glyph_info()</a> はこれを用いる。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="a447bccc97a2f12ef9a4b1407adadf7d6"></a><!-- doxytag: member="MDrawGlyphInfo::from" ref="a447bccc97a2f12ef9a4b1407adadf7d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a447bccc97a2f12ef9a4b1407adadf7d6">MDrawGlyphInfo::from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフに対応する文字の範囲の開始位置. </p>

</div>
</div>
<a class="anchor" id="a959a29a28118d7db13a375b8163a7f01"></a><!-- doxytag: member="MDrawGlyphInfo::to" ref="a959a29a28118d7db13a375b8163a7f01" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a959a29a28118d7db13a375b8163a7f01">MDrawGlyphInfo::to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフに対応する文字の範囲の終了位置. </p>

</div>
</div>
<a class="anchor" id="a62fdb2ac09992ee300c3d30c67088ca3"></a><!-- doxytag: member="MDrawGlyphInfo::line_from" ref="a62fdb2ac09992ee300c3d30c67088ca3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a62fdb2ac09992ee300c3d30c67088ca3">MDrawGlyphInfo::line_from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>一行のグリフの列に対応する文字の範囲の開始位置. </p>

</div>
</div>
<a class="anchor" id="ab31beb42b28acbb75f1f8debe9819508"></a><!-- doxytag: member="MDrawGlyphInfo::line_to" ref="ab31beb42b28acbb75f1f8debe9819508" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#ab31beb42b28acbb75f1f8debe9819508">MDrawGlyphInfo::line_to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>一行のグリフの列に対応する文字の範囲の終了位置. </p>

</div>
</div>
<a class="anchor" id="a624fa8bbc40f462f3b6d84891539fcad"></a><!-- doxytag: member="MDrawGlyphInfo::x" ref="a624fa8bbc40f462f3b6d84891539fcad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a624fa8bbc40f462f3b6d84891539fcad">MDrawGlyphInfo::x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの X 座標. </p>

</div>
</div>
<a class="anchor" id="a6ce5994024cbaa72e4b0f6e4f6a8749f"></a><!-- doxytag: member="MDrawGlyphInfo::y" ref="a6ce5994024cbaa72e4b0f6e4f6a8749f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a6ce5994024cbaa72e4b0f6e4f6a8749f">MDrawGlyphInfo::y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの Y 座標. </p>

</div>
</div>
<a class="anchor" id="acaa82f47d4867b5b6302a9f2da57f7e0"></a><!-- doxytag: member="MDrawGlyphInfo::metrics" ref="acaa82f47d4867b5b6302a9f2da57f7e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMDrawMetric.html">MDrawMetric</a> <a class="el" href="structMDrawGlyphInfo.html#acaa82f47d4867b5b6302a9f2da57f7e0">MDrawGlyphInfo::metrics</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの寸法. </p>

</div>
</div>
<a class="anchor" id="a9aa1d925d900085b8cfffa5cd33cb423"></a><!-- doxytag: member="MDrawGlyphInfo::font" ref="a9aa1d925d900085b8cfffa5cd33cb423" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* <a class="el" href="structMDrawGlyphInfo.html#a9aa1d925d900085b8cfffa5cd33cb423">MDrawGlyphInfo::font</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフに使われるフォント。見つからなければ NULL。 </p>

</div>
</div>
<a class="anchor" id="a3d72abd4143a4f5f1f5e219b1a6d42c9"></a><!-- doxytag: member="MDrawGlyphInfo::prev_from" ref="a3d72abd4143a4f5f1f5e219b1a6d42c9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a3d72abd4143a4f5f1f5e219b1a6d42c9">MDrawGlyphInfo::prev_from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>論理的な前のグリフに対応する文字の範囲。メンバ prev_to は、メ ンバ from と同じであるはずなので不要である。 </p>

</div>
</div>
<a class="anchor" id="aafb3540a6d715bfcdf761ca9ba546689"></a><!-- doxytag: member="MDrawGlyphInfo::next_to" ref="aafb3540a6d715bfcdf761ca9ba546689" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#aafb3540a6d715bfcdf761ca9ba546689">MDrawGlyphInfo::next_to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>論理的な後のグリフに対応する文字の範囲。メンバ next_from は メンバ to と同じであるはずなので不要である。 </p>

</div>
</div>
<a class="anchor" id="a36e10a86b98aa88745772554de3f79e3"></a><!-- doxytag: member="MDrawGlyphInfo::left_from" ref="a36e10a86b98aa88745772554de3f79e3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a36e10a86b98aa88745772554de3f79e3">MDrawGlyphInfo::left_from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>表示上の左のグリフに対応する文字の範囲の開始位置。 </p>

</div>
</div>
<a class="anchor" id="a81c27750a20614fb98e1e084e675ff0d"></a><!-- doxytag: member="MDrawGlyphInfo::left_to" ref="a81c27750a20614fb98e1e084e675ff0d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a81c27750a20614fb98e1e084e675ff0d">MDrawGlyphInfo::left_to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>表示上の左のグリフに対応する文字の範囲の終了位置。 </p>

</div>
</div>
<a class="anchor" id="a7415480cdb3745b3fec03bae5d671ab7"></a><!-- doxytag: member="MDrawGlyphInfo::right_from" ref="a7415480cdb3745b3fec03bae5d671ab7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a7415480cdb3745b3fec03bae5d671ab7">MDrawGlyphInfo::right_from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>表示上の右のグリフに対応する文字の範囲の開始位置。 </p>

</div>
</div>
<a class="anchor" id="a3f3b345def4b9cb52c223a69a688eca4"></a><!-- doxytag: member="MDrawGlyphInfo::right_to" ref="a3f3b345def4b9cb52c223a69a688eca4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a3f3b345def4b9cb52c223a69a688eca4">MDrawGlyphInfo::right_to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>表示上の右のグリフに対応する文字の範囲の終了位置。 </p>

</div>
</div>
<a class="anchor" id="a5a4d7a62d82388285dc35d677a25d7c9"></a><!-- doxytag: member="MDrawGlyphInfo::logical_width" ref="a5a4d7a62d82388285dc35d677a25d7c9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyphInfo.html#a5a4d7a62d82388285dc35d677a25d7c9">MDrawGlyphInfo::logical_width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの論理的幅。次のグリフとの名目上の距離。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
